## nvidia-cuda-toolkit 9.2.148

=== local/cuda-9.2/nvvm/libnvvm-samples/simple/CMakeLists.txt ===
################################################################################
#
# Copyright 1993-2014 NVIDIA Corporation.  All rights reserved.
#
# NOTICE TO USER:   
#
# This source code is subject to NVIDIA ownership rights under U.S. and 
# international Copyright laws.  
#
# NVIDIA MAKES NO REPRESENTATION ABOUT THE SUITABILITY OF THIS SOURCE 
# CODE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR 
# IMPLIED WARRANTY OF ANY KIND.  NVIDIA DISCLAIMS ALL WARRANTIES WITH 
# REGARD TO THIS SOURCE CODE, INCLUDING ALL IMPLIED WARRANTIES OF 
# MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE.   
# IN NO EVENT SHALL NVIDIA BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, 
# OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS 
# OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE 
# OR PERFORMANCE OF THIS SOURCE CODE.  
#
# U.S. Government End Users.  This source code is a "commercial item" as 
# that term is defined at 48 C.F.R. 2.101 (OCT 1995), consisting  of 
# "commercial computer software" and "commercial computer software 
# documentation" as such terms are used in 48 C.F.R. 12.212 (SEPT 1995) 
# and is provided to the U.S. Government only as a commercial end item.  
# Consistent with 48 C.F.R.12.212 and 48 C.F.R. 227.7202-1 through 
# 227.7202-4 (JUNE 1995), all U.S. Government End Users acquire the 
# source code with only those rights set forth herein.
#
################################################################################

set(CMAKE_INSTALL_RPATH ${LIBNVVM_HOME})

if(CMAKE_SIZEOF_VOID_P STREQUAL "8")
  add_definitions(-DBUILD_64_BIT)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR YES)

add_executable(simple simple.c)

target_link_libraries(simple ${NVVM_LIB} ${CUDA_LIB})

if (WIN32)
  set_target_properties(simple PROPERTIES
    COMPILE_FLAGS "/wd4996")
else (WIN32)
  set_target_properties(simple PROPERTIES
    LINK_FLAGS    "-Wl,-rpath,${LIBNVVM_RPATH}")
endif (WIN32)

install(TARGETS simple DESTINATION bin)
install(FILES simple-gpu.ll
              simple-gpu64.ll
        DESTINATION bin)

=== local/cuda-9.2/extras/CUPTI/sample/activity_trace_async/Makefile ===
#
# Copyright 2011-2015 NVIDIA Corporation. All rights reserved
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

activity_trace_async: activity_trace_async.$(OBJ) vec.$(OBJ)
	nvcc -o $@ $^ $(LIBS)

activity_trace_async.$(OBJ): activity_trace_async.cpp
	nvcc -c $(INCLUDES) $<

vec.$(OBJ): vec.cu
	nvcc -c $(INCLUDES) $<

run: activity_trace_async
	./$<

clean:
	rm -f activity_trace_async activity_trace_async.$(OBJ) vec.$(OBJ)

=== local/cuda-9.2/extras/CUPTI/sample/callback_timestamp/Makefile ===
#
# Copyright 2011-2015 NVIDIA Corporation. All rights reserved
#
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

callback_timestamp: callback_timestamp.$(OBJ)
	nvcc -o $@ callback_timestamp.$(OBJ) $(LIBS)

callback_timestamp.$(OBJ): callback_timestamp.cu
	nvcc -c $(INCLUDES) $<

run: callback_timestamp
	./$<

clean:
	rm -f callback_timestamp callback_timestamp.$(OBJ)

=== local/cuda-9.2/extras/CUPTI/sample/event_multi_gpu/Makefile ===
#
# Copyright 2014-2015 NVIDIA Corporation. All rights reserved.
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

event_multi_gpu: event_multi_gpu.$(OBJ)
	nvcc -o $@ event_multi_gpu.$(OBJ) $(LIBS)

event_multi_gpu.$(OBJ): event_multi_gpu.cu
	nvcc -c $(INCLUDES) $<

run: event_multi_gpu
	./$<

clean:
	rm -f event_multi_gpu event_multi_gpu.$(OBJ)

=== local/cuda-9.2/extras/CUPTI/sample/sass_source_map/Makefile ===
#
# Copyright 2014-2016 NVIDIA Corporation. All rights reserved
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

sass_source_map: sass_source_map.$(OBJ)
	nvcc -o $@ sass_source_map.$(OBJ) $(LIBS)

sass_source_map.$(OBJ): sass_source_map.cu
	nvcc -arch=sm_30 -lineinfo  -c $(INCLUDES) $<

run: sass_source_map
	./$<

clean:
	rm -f sass_source_map sass_source_map.$(OBJ)

=== debian/changelog ===
nvidia-cuda-toolkit (9.2.148-7) unstable; urgency=medium

  * Use debianize.patch to customize paths etc. in nvcc.profile and the
    wrappers nsight and nvvp to avoid missing upstream changes.
  * d/control: Use substvars to generalize handling of [arch] restrictions.
  * nvidia-cuda-dev: Add dependency on libnvidia-ml1.  (Closes: #924484)
  * Replace embedded javascript libraries with dependencies on
    libjs-html5shiv, libjs-jquery.
  * Deduplicate images in documentation.
  * Fix install location of examples.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2019 01:46:16 +0100

nvidia-cuda-toolkit (9.2.148-6) unstable; urgency=medium

  * Restore strict libcuda1 dependency.  (Closes: #919647)
  * Drop Breaks+Replaces against packages predating jessie.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Feb 2019 01:08:16 +0100

nvidia-cuda-toolkit (9.2.148-5) unstable; urgency=medium

  * Fix nvidia-openjdk-8-jre version number customization.
  * Adjust libcuda1 dependency relaxation.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Jan 2019 13:41:13 +0100

nvidia-cuda-toolkit (9.2.148-4) unstable; urgency=medium

  * New upstream CUDA 9.2 Patch 1 (Aug 6, 2018).
    - This update includes performance improvements to cuBLAS GEMM APIs and
      bug fixes for CUPTI and cuda-gdb.
  * d/rules: Add infrastructure for downloading, unpacking and installing
    patch releases.
    - Patch releases are handled as additional component tarballs.
    - The upstream release version number is not adjusted (only a few shared
      libraries bump their filename).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Jan 2019 17:46:38 +0100

nvidia-cuda-toolkit (9.2.148-3) unstable; urgency=medium

  * Merge changes from 9.1.85-8.
  * Switch to debhelper-compat (= 12).
  * Relax the libcuda1 dependency to start the transition in unstable while
    the required driver is still in experimental.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 22:51:52 +0100

nvidia-cuda-toolkit (9.2.148-2) experimental; urgency=medium

  * Merge changes from 9.1.85-7.
  * A ppc64el release is now available.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Dec 2018 21:30:36 +0100

nvidia-cuda-toolkit (9.2.148-1) experimental; urgency=medium

  * New upstream release 9.2 Update 1 (amd64 only).
  * nvidia-opencl-dev: Add Breaks: nvidia-libopencl1 for a smoother transition
    to ocl-icd-opencl-dev.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jul 2018 21:42:36 +0200

nvidia-cuda-toolkit (9.2.88-1) experimental; urgency=medium

  * New upstream release 9.2 (May 2018).  (Closes: #899343, #900183)
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 9.1 => 9.2, rename all library packages.
  * Refresh patches.
  * Update Lintian overrides.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Add gcc-7 and clang-5.0 as supported compiler alternatives.
    (Closes: #892415)
  * d/rules: Simplify shifting around the unpacked contents.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jun 2018 18:07:24 +0200

=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Graham Inggs <ginggs@debian.org>,
 Zhou Mo <cdluminate@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 quilt,
 libncurses5,
 libexpat1 [ppc64el],
 hardlink [amd64],
# for nvidia-openjdk-8-jre
 libasound2 [amd64],
 libgl1 [amd64],
 libgtk2.0-0 [amd64],
 libxslt1.1 [amd64],
 libxtst6 [amd64],
 libxxf86vm1 [amd64],
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://developer.nvidia.com/cuda-zone
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 nvidia-profiler (= ${binary:Version}),
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
 gcc-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
 g++-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}) [${cuda:arch:has-java}],
Suggests:
 libcupti-dev,
 nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
Conflicts:
# packages from the repository packages provided by NVIDIA
 cuda-repo-ubuntu1404,
 cuda-repo-ubuntu1404-7-5-local,
 cuda-repo-ubuntu1410,
 cuda-repo-ubuntu1504,
 cuda-repo-ubuntu1504-7-5-local,
 cuda-license-7-5,
Description: NVIDIA CUDA development toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler and other tools needed for building
 CUDA applications.
 .
 Running CUDA applications requires a supported NVIDIA GPU and the NVIDIA
 driver kernel module.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends:
 libjs-html5shiv,
 libjs-jquery,
 ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: amd64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Description: NVIDIA CUDA Debugger (GDB)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-profiler
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 libaccinj64-${cuda:SoVersion},
 libcuinj64-${cuda:SoVersion},
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-cuda-toolkit,
Description: NVIDIA Profiler for CUDA and OpenCL
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the nvprof profiler.

Package: nvidia-openjdk-8-jre
Section: non-free/java
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA provided OpenJDK Java runtime, using Hotspot JIT
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using Hotspot JIT.
 .
 This package provides the openjdk-8 binaries shipped with the
 NVIDIA CUDA Toolkit, this obsolete version is needed for
 nvidia-visual-profiler and nvidia-nsight.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 nvidia-profiler (= ${binary:Version}),
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler for CUDA and OpenCL
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-nsight
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/cuda/nsight-eclipse-edition
Description: NVIDIA Nsight Eclipse Edition
 NVIDIA Nsight Eclipse Edition is a full-featured IDE powered by the Eclipse
 platform that provides an all-in-one integrated environment to edit, build,
 debug and profile CUDA-C applications.
 Nsight Eclipse Edition supports a rich set of commercial and free plugins.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Depends:
 libaccinj64-${cuda:SoVersion} (= ${binary:Version}),
 libcudart${cuda:SoVersion} (= ${binary:Version}),
 libcuinj64-${cuda:SoVersion} (= ${binary:Version}),
 libnvrtc${cuda:SoVersion} (= ${binary:Version}),
 libnvtoolsext1 (= ${binary:Version}),
 libnvvm3 (= ${binary:Version}),
 libcublas${cuda:SoVersion} (= ${binary:Version}),
 libnvblas${cuda:SoVersion} (= ${binary:Version}),
 libcufft${cuda:SoVersion} (= ${binary:Version}),
 libcufftw${cuda:SoVersion} (= ${binary:Version}),
 libcurand${cuda:SoVersion} (= ${binary:Version}),
 libcusolver${cuda:SoVersion} (= ${binary:Version}),
 libcusparse${cuda:SoVersion} (= ${binary:Version}),
 libnppc${cuda:SoVersion} (= ${binary:Version}),
 libnppial${cuda:SoVersion} (= ${binary:Version}),
 libnppicc${cuda:SoVersion} (= ${binary:Version}),
 libnppicom${cuda:SoVersion} (= ${binary:Version}),
 libnppidei${cuda:SoVersion} (= ${binary:Version}),
 libnppif${cuda:SoVersion} (= ${binary:Version}),
 libnppig${cuda:SoVersion} (= ${binary:Version}),
 libnppim${cuda:SoVersion} (= ${binary:Version}),
 libnppist${cuda:SoVersion} (= ${binary:Version}),
 libnppisu${cuda:SoVersion} (= ${binary:Version}),
 libnppitc${cuda:SoVersion} (= ${binary:Version}),
 libnpps${cuda:SoVersion} (= ${binary:Version}),
 libnvgraph${cuda:SoVersion} (= ${binary:Version}),
 libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
 libthrust-dev,
 ${misc:Depends}
Recommends:
 ${package:libcuda1},
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
 libnvcuvid1,
Breaks:
 libcuda1 (<< ${nvidia:MinVersion}),
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Multi-Arch: same
Depends:
 ocl-icd-opencl-dev,
 ${misc:Depends}
Recommends:
 nvidia-opencl-icd,
Breaks:
 nvidia-libopencl1 (>> 0),
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart9.2
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${package:libcuda1}
Provides:
 no-libcuda1 [${cuda:arch:has-no-driver}],
Description: NVIDIA CUDA Runtime Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Runtime API library for high-level CUDA
 programming, on top of the CUDA Driver API.

Package: libaccinj64-9.2
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA ACCINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 ACCINJ is the OpenACC internal library for profiling.
 .
 This package contains the 64-bit ACCINJ runtime library.

Package: libcuinj64-9.2
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 CUINJ is the CUDA internal library for profiling.
 .
 This package contains the 64-bit CUINJ runtime library.

Package: libnvrtc9.2
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUDA Runtime Compilation (NVIDIA NVRTC Library)
 CUDA Runtime Compilation library (nvrtc) provides an API to compile
 CUDA-C++ device source code at runtime.
 .
 The resulting compiled PTX can be launched on a GPU using the CUDA
 Driver API.
 .
 This package contains the NVRTC library.

Package: libnvtoolsext1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://docs.nvidia.com/gameworks/content/gameworkslibrary/nvtx/nvidia_tools_extension_library_nvtx.htm
Description: NVIDIA Tools Extension Library
 The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and
 ranges in your applications. Applications which integrate NVTX can use Nsight
 to capture and visualize these events and ranges.
 .
 This package contains the NVIDIA Tools Extension runtime library.

Package: libnvvm3
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/cuda-llvm-compiler
Description: NVIDIA NVVM Library
 NVIDIA's CUDA Compiler (NVCC) is based on the widely used LLVM open source
 compiler infrastructure.
 .
 The NVVM library is used by NVCC to compile CUDA binary code to run on NVIDIA
 GPUs.
 .
 This package contains the NVIDIA NVVM runtime library.

Package: libcupti9.2
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface runtime library
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the runtime library.

Package: libcupti-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Multi-Arch: same
Depends: libcupti${cuda:SoVersion} (= ${binary:Version}), ${misc:Depends}
Recommends: libcupti-doc
Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface development files
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

VENDOR			?= $(call dpkg_late_eval,VENDOR,dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)


include debian/rules.defs
CUDA_ARCH_LIST		?= amd64
CUDA_PATCH_LIST		?=
CUDA_PATCH_LIST_ARCH	?= $(patsubst $(DEB_HOST_ARCH)-%,%,$(filter $(DEB_HOST_ARCH)-%,$(CUDA_PATCH_LIST)))
CUDA_ARCH_LIST_NO_DRIVER?=
CUDA_ARCH_LIST_NO_JAVA	?=
CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
version_driver		 = $(CUDA_VERSION_DRIVER.$(DEB_HOST_ARCH))
watch_url		 = $(CUDA_WATCH_URL)
PACKAGE_LIST		:= $(shell dh_listpackages)
THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/include/thrust/version.h)),$(error empty THRUST_VERSION))
OPENJDK_VERSION		?= $(or $(strip $(shell nvidia-cuda/jre/bin/java -version 2>&1 | sed -rn '1s/.*"1\.([0-9]*)\.0_(.*)"/\1u\2/p')),$(error empty OPENJDK_VERSION))
CUDA_JAVA_HOME		?= /usr/lib/jvm/nvidia-java-8-openjdk-$(DEB_HOST_ARCH)
jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))

package_libcuda1 \
	= libcuda1 (>= $${nvidia:MinVersion}) \
	| libcuda-$${cuda:SoVersion}-1
#ifeq ($(VENDOR),Ubuntu)
package_libcuda1	+= | no-libcuda1 [$${cuda:arch:has-no-driver}]
#endif

# system libdir
libdir			 = usr/lib/$(DEB_HOST_MULTIARCH)

TEMPLATES	:= $(wildcard debian/*.in debian/patches/*.in)
SOVERTEMPLATES	:= $(wildcard debian/*SOVER*)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(subst SOVER,$(CUDA_SOVERSION),$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))))
AUTOGEN		+= debian/g++
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
AUTOCLEAN	+= debian/shlibs.local


.PHONY: autogen prepare
autogen: $(AUTOGEN)
prepare: autogen unpack-stamp compare-copyright-license


nvidia-cuda-amd64:
	dh_testdir
	$(RM) -r $@ $@.tmp
	sh $(CUDA_FILENAME.amd64) --noexec --keep --target $@.tmp
	mv $@.tmp $@

nvidia-cuda-amd64-patch1: | nvidia-cuda-amd64
	dh_testdir
	$(RM) -r $@ $@.tmp
	sh amd64-patch1/$(CUDA_FILENAME.amd64-patch1) --noexec --keep --target $@.tmp
	mv $@.tmp/payload/cuda-linux64-mixed-rel-nightly/* $@.tmp/
	$(RM) -v $@.tmp/install_patch.pl
	$(RM) -v $@.tmp/payload/install_manifest
	mv $@.tmp $@
	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done

nvidia-cuda-ppc64el:
	dh_testdir
	$(RM) -r $@ $@.tmp
	mkdir $@.tmp
	@set -e -x ; for deb in ppc64el/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
	$(RM) -v $@.tmp/bin/computeprof
	$(RM) -v $@.tmp/LICENSE
	$(RM) -v $@.tmp/README
	mv $@.tmp/doc/EULA.txt $@.tmp/
	$(RM) $@.tmp/include $@.tmp/lib64
	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
	mv $@.tmp $@

nvidia-cuda-ppc64el-patch1: | nvidia-cuda-ppc64el
	dh_testdir
	$(RM) -r $@ $@.tmp
	mkdir $@.tmp
	@set -e -x ; for deb in ppc64el-patch1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
	$(RM) $@.tmp/include $@.tmp/lib64
	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
	mv $@.tmp $@
	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done

unpack-stamp: $(filter debian/patches%,$(AUTOGEN))
unpack-stamp: nvidia-cuda-$(DEB_HOST_ARCH)
unpack-stamp: $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(DEB_HOST_ARCH)-$(patch))
	$(RM) nvidia-cuda $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(patch))
	ln -sf nvidia-cuda-$(DEB_HOST_ARCH) nvidia-cuda
	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),ln -sf nvidia-cuda-$(DEB_HOST_ARCH)-$(patch) nvidia-cuda-$(patch) ; )
	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

# Reformat the EULA to the format needed for debian/copyright.
nvidia-cuda/EULA.txt: unpack-stamp
EULA.fmt: nvidia-cuda/EULA.txt
	cat $< \
		| fromdos | fromdos | expand \
		| iconv -f UTF-8 -t latin1//TRANSLIT \
		| fold -s -w 80 \
		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
		> $@

# Compare the license in debian/copyright with the EULA shipped in the archive.
compare-copyright-license: EULA.fmt
	sed -e '1,/^License: other-NVIDIA-CUDA-TOOLKIT/d; /^$$/,$$d; /^ .$$/d' debian/copyright > copyright.tmp
	sed -e '/^ .$$/d' EULA.fmt > EULA.tmp
	diff -w copyright.tmp EULA.tmp
	rm -f copyright.tmp EULA.tmp


.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install
binary-arch build build-arch build-indep clean install:
	dh $@

binary binary-indep:
	# the documentation packages must be built on amd64 (otherwise some parts are missing)
	test "$(DEB_HOST_ARCH)" = "amd64"
	dh $@

build-stamp: unpack-stamp
	$(RM) -r build
	cp -al nvidia-cuda-$(DEB_HOST_ARCH)/ build
	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),cp -al nvidia-cuda-$(patch)/* build/ ; )
	$(cleanup-after-merging-patches-into-build/$(CUDA_VERSION_TOOLKIT))
	# fix permissions
	chmod -x build/bin/crt/link.stub
	chmod -x build/bin/crt/prelink.stub
	chmod -x build/libnvvp/*.xpm
	chmod -x build/libnsight/*.xpm
	chmod -x build/nvvm/include/*.h
	chmod -x build/nvvm/libnvvm-samples/build.bat
	# remove java path
	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' build/libnvvp/nvvp.ini build/libnsight/nsight.ini
ifneq (,$(jre_pkg))
	# these depend on libraries from oldoldstable
	$(RM) -v build/jre/lib/amd64/libavplugin-53.so
	$(RM) -v build/jre/lib/amd64/libavplugin-54.so
endif
	# remove tracking scripts
	find build \( -name google-analytics-tracker.js -o -name google-analytics-write.js -o -name tynt.js \) -exec rm -v {} +
	# remove tracking images
	find \
		build/doc/html \
	    -name '*.html' -exec sed -r -i \
		-e '\,http://omniture.nvidia.com/b/ss/nvidiacudadocs/1/H.17--NS/0, { s,(<noscript>),<!-- \1,; s,img src,img DISABLED,; s,(</noscript>),\1 -->, }' \
		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		-e 's,(<script type="text/javascript" charset="utf-8" )src(="//assets.adobedtm.com/b92787824f2e0e9b68dc2e993f9bd995339fe417/satelliteLib-7ba51e58dc61bcb0e9311aadd02a0108ab24cc6c.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		{} +
	find \
		build/libnsight \
		build/libnvvp \
	    -name 'license.html' -exec sed -r -i \
		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		{} +
	# replace embedded javascript libraries
	find build -name html5shiv-printshiv.min.js -exec ln -sfv /usr/share/javascript/html5shiv/html5shiv-printshiv.min.js {} \;
	find build -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
	find build -name jquery.min.js -exec ln -sfv /usr/share/javascript/jquery/jquery.min.js {} \;
	# reduce 'dh_missing --list-missing' noise
	# remove empty directories
	find build -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
	# split arch and indep eclipse plugins
	mkdir build/libnsight/plugins-arch
	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
	mkdir build/libnvvp/plugins-arch

## nvidia-cuda-toolkit 10.0.130

=== debian/changelog ===
nvidia-cuda-toolkit (10.0.130-3) experimental; urgency=medium

  * Merge changes from 9.2.148-7.
  * Generalize the get-orig-source target.
  * Prepare support for having a different SOVERSION in the core libraries
    (libcudart and friends) than in the application libraries.
  * Generalize nsight-compute packaging.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2019 23:35:42 +0100

nvidia-cuda-toolkit (10.0.130-2) experimental; urgency=medium

  * Rename uuid(3) to CUDA_uuid(3) to avoid manpage conflict with uuid-dev,
    thanks to Cédric Dufour.  (Closes: #921533)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Feb 2019 15:51:50 +0100

nvidia-cuda-toolkit (10.0.130-1) experimental; urgency=medium

  * New upstream release 10.0 (Sept 2018).  (Closes: #909497)
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 9.2 => 10.0, rename all library packages.
  * libnvjpeg10.0: New package for the nvJPEG library.
  * nsight-compute: New package for NVIDIA Nsight Compute.
  * Install new headers.
  * Update symbols control files.
  * Add clang-6.0 as supported compiler alternative.
  * Refresh patches.
  * man-typos.patch: Fix more misspellings.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Jan 2019 13:21:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,12 @@
  libncurses5,
  libexpat1 [ppc64el],
  hardlink [amd64],
+# for nsight-compute
+ libglvnd-dev [!ppc64el],
+ libnspr4-dev [!ppc64el],
+ libnss3-dev [!ppc64el],
+ libpulse-dev [!ppc64el],
+ chrpath [!ppc64el],
 # for nvidia-openjdk-8-jre
  libasound2 [amd64],
  libgl1 [amd64],
@@ -33,13 +39,14 @@
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- gcc-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
- g++-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
+ gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:7~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
+ g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:7~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
  nvidia-cuda-gdb (= ${binary:Version}),
  nvidia-visual-profiler (= ${binary:Version}) [${cuda:arch:has-java}],
+ nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
 Suggests:
  libcupti-dev,
  nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
@@ -96,8 +103,8 @@
 Section: non-free/devel
 Architecture: amd64 ppc64el
 Depends:
- libaccinj64-${cuda:SoVersion},
- libcuinj64-${cuda:SoVersion},
+ libaccinj64-${cudart:SoVersion},
+ libcuinj64-${cudart:SoVersion},
  ${shlibs:Depends}, ${misc:Depends}
 Suggests:
  nvidia-cuda-toolkit,
@@ -156,14 +163,30 @@
  debug and profile CUDA-C applications.
  Nsight Eclipse Edition supports a rich set of commercial and free plugins.
 
+Package: nsight-compute
+Section: non-free/devel
+Architecture: amd64
+Depends:
+ libjs-html5shiv,
+ libjs-jquery,
+ ${shlibs:Depends}, ${misc:Depends}
+Homepage: https://developer.nvidia.com/nsight-compute
+Description: NVIDIA Nsight Compute
+ NVIDIA Nsight Compute is an interactive kernel profiler for CUDA applications.
+ It provides detailed performance metrics and API debugging via a user
+ interface and command line tool. In addition, its baseline feature allows
+ users to compare results within the tool. Nsight Compute provides a
+ customizable and data-driven user interface and metric collection and can be
+ extended with analysis scripts for post-processing results.
+
 Package: nvidia-cuda-dev
 Section: non-free/libdevel
 Architecture: amd64 ppc64el
 Depends:
- libaccinj64-${cuda:SoVersion} (= ${binary:Version}),
- libcudart${cuda:SoVersion} (= ${binary:Version}),
- libcuinj64-${cuda:SoVersion} (= ${binary:Version}),
- libnvrtc${cuda:SoVersion} (= ${binary:Version}),
+ libcudart${cudart:SoVersion} (= ${binary:Version}),
+ libaccinj64-${cudart:SoVersion} (= ${binary:Version}),
+ libcuinj64-${cudart:SoVersion} (= ${binary:Version}),
+ libnvrtc${cudart:SoVersion} (= ${binary:Version}),
  libnvtoolsext1 (= ${binary:Version}),
  libnvvm3 (= ${binary:Version}),
  libcublas${cuda:SoVersion} (= ${binary:Version}),
@@ -186,6 +209,7 @@
  libnppitc${cuda:SoVersion} (= ${binary:Version}),
  libnpps${cuda:SoVersion} (= ${binary:Version}),
  libnvgraph${cuda:SoVersion} (= ${binary:Version}),
+ libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
  libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
  libthrust-dev,
  ${misc:Depends}
@@ -221,7 +245,7 @@
  .
  This metapackage provides the development files: headers and libraries.
 
-Package: libcudart9.2
+Package: libcudart10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -238,7 +262,7 @@
  This package contains the CUDA Runtime API library for high-level CUDA
  programming, on top of the CUDA Driver API.
 
-Package: libaccinj64-9.2
+Package: libaccinj64-10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -252,7 +276,7 @@
  .
  This package contains the 64-bit ACCINJ runtime library.
 
-Package: libcuinj64-9.2
+Package: libcuinj64-10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -266,7 +290,7 @@
  .
  This package contains the 64-bit CUINJ runtime library.
 
-Package: libnvrtc9.2
+Package: libnvrtc10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -308,29 +332,8 @@
  .
  This package contains the NVIDIA NVVM runtime library.
 
-Package: libcupti9.2
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface runtime library
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
- performance optimization tools. The CUPTI APIs are not intended to be
- used by developers in their CUDA applications.
- .
- This package contains the runtime library.
-
-Package: libcupti-dev
-Section: non-free/libdevel
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Depends: libcupti${cuda:SoVersion} (= ${binary:Version}), ${misc:Depends}
-Recommends: libcupti-doc
-Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface development files
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
+Package: libcupti10.0
+Architecture: amd64 ppc64el
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 OPENJDK_VERSION		?= $(or $(strip $(shell nvidia-cuda/jre/bin/java -version 2>&1 | sed -rn '1s/.*"1\.([0-9]*)\.0_(.*)"/\1u\2/p')),$(error empty OPENJDK_VERSION))
 CUDA_JAVA_HOME		?= /usr/lib/jvm/nvidia-java-8-openjdk-$(DEB_HOST_ARCH)
 jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))
+thrust_pkg		?= $(filter libthrust-dev,$(PACKAGE_LIST))
+nsight_compute_pkg	?= $(filter nsight-compute,$(PACKAGE_LIST))
 
 package_libcuda1 \
 	= libcuda1 (>= $${nvidia:MinVersion}) \
@@ -38,8 +40,10 @@
 
 TEMPLATES	:= $(wildcard debian/*.in debian/patches/*.in)
 SOVERTEMPLATES	:= $(wildcard debian/*SOVER*)
+RTSOVERTEMPLATES:= $(wildcard debian/*SORTVER*)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(subst SOVER,$(CUDA_SOVERSION),$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))))
+AUTOGEN		+= $(subst SORTVER,$(CUDART_SOVERSION),$(sort $(patsubst %.in,%,$(RTSOVERTEMPLATES))))
 AUTOGEN		+= debian/g++
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
@@ -51,32 +55,23 @@
 prepare: autogen unpack-stamp compare-copyright-license
 
 
-nvidia-cuda-amd64:
+define nvidia-cuda-unpack-run
 	dh_testdir
 	$(RM) -r $@ $@.tmp
-	sh $(CUDA_FILENAME.amd64) --noexec --keep --target $@.tmp
+	sh $(CUDA_FILENAME.$1) --noexec --keep --target $@.tmp
 	mv $@.tmp $@
-
-nvidia-cuda-amd64-patch1: | nvidia-cuda-amd64
-	dh_testdir
-	$(RM) -r $@ $@.tmp
-	sh amd64-patch1/$(CUDA_FILENAME.amd64-patch1) --noexec --keep --target $@.tmp
-	mv $@.tmp/payload/cuda-linux64-mixed-rel-nightly/* $@.tmp/
-	$(RM) -v $@.tmp/install_patch.pl
-	$(RM) -v $@.tmp/payload/install_manifest
-	mv $@.tmp $@
-	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done
-
-nvidia-cuda-ppc64el:
+endef
+
+define nvidia-cuda-unpack-deb
 	dh_testdir
 	$(RM) -r $@ $@.tmp
 	mkdir $@.tmp
-	@set -e -x ; for deb in ppc64el/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
+	@set -e -x ; for deb in $1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
 	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
 	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
 	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
 	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
-	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
+	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDART_SOVERSION)).conf
 	$(RM) -v $@.tmp/bin/computeprof
 	$(RM) -v $@.tmp/LICENSE
 	$(RM) -v $@.tmp/README
@@ -85,29 +80,15 @@
 	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
 	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
 	mv $@.tmp $@
-
-nvidia-cuda-ppc64el-patch1: | nvidia-cuda-ppc64el
-	dh_testdir
-	$(RM) -r $@ $@.tmp
-	mkdir $@.tmp
-	@set -e -x ; for deb in ppc64el-patch1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
-	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
-	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
-	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
-	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
-	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
-	$(RM) $@.tmp/include $@.tmp/lib64
-	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
-	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
-	mv $@.tmp $@
-	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done
+endef
+
+nvidia-cuda-tree-%:
+	$(call nvidia-cuda-unpack-$(CUDA_TAR_TYPE.$*),$*)
 
 unpack-stamp: $(filter debian/patches%,$(AUTOGEN))
-unpack-stamp: nvidia-cuda-$(DEB_HOST_ARCH)
-unpack-stamp: $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(DEB_HOST_ARCH)-$(patch))
-	$(RM) nvidia-cuda $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(patch))
-	ln -sf nvidia-cuda-$(DEB_HOST_ARCH) nvidia-cuda
-	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),ln -sf nvidia-cuda-$(DEB_HOST_ARCH)-$(patch) nvidia-cuda-$(patch) ; )
+unpack-stamp: nvidia-cuda-tree-$(DEB_HOST_ARCH)
+	$(RM) nvidia-cuda
+	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
@@ -140,9 +121,8 @@
 
 build-stamp: unpack-stamp
 	$(RM) -r build
-	cp -al nvidia-cuda-$(DEB_HOST_ARCH)/ build
-	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),cp -al nvidia-cuda-$(patch)/* build/ ; )
-	$(cleanup-after-merging-patches-into-build/$(CUDA_VERSION_TOOLKIT))
+	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
+	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/NsightCompute
 	# fix permissions
 	chmod -x build/bin/crt/link.stub
 	chmod -x build/bin/crt/prelink.stub
@@ -157,11 +137,14 @@
 	$(RM) -v build/jre/lib/amd64/libavplugin-53.so
 	$(RM) -v build/jre/lib/amd64/libavplugin-54.so
 endif
+	# uuid(3) is already provided by uuid-dev
+	mv -v build/doc/man/man3/uuid.3 build/doc/man/man3/CUDA_uuid.3
 	# remove tracking scripts
 	find build \( -name google-analytics-tracker.js -o -name google-analytics-write.js -o -name tynt.js \) -exec rm -v {} +
 	# remove tracking images
 	find \
 		build/doc/html \
+		$(if $(nsight_compute_pkg),build/NsightCompute/html) \
 	    -name '*.html' -exec sed -r -i \
 		-e '\,http://omniture.nvidia.com/b/ss/nvidiacudadocs/1/H.17--NS/0, { s,(<noscript>),<!-- \1,; s,img src,img DISABLED,; s,(</noscript>),\1 -->, }' \
 		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
@@ -184,3 +167,39 @@
 	mkdir build/libnsight/plugins-arch
 	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
 	mkdir build/libnvvp/plugins-arch
+	mv build/libnvvp/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnvvp/plugins-arch/
+ifneq (,$(nsight_compute_pkg))
+	# clean up nsight-compute
+	chrpath -d build/NsightCompute/host/$(NSIGHT_COMPUTE_DESKTOP_DIR.$(DEB_HOST_ARCH))/libicu*.so.56
+endif
+	touch $@
+
+override_dh_auto_configure: $(AUTOGEN) unpack-stamp
+
+override_dh_auto_build-arch: build-stamp
+
+override_dh_auto_build-indep: build-stamp
+ifeq (,$(thrust_pkg))
+	$(RM) -r build/include/thrust
+endif
+
+override_dh_auto_install:
+	mkdir debian/tmp
+	cp -al build/ debian/tmp/usr
+
+override_dh_installdocs-indep:
+	dh_installdocs -pnvidia-cuda-doc --doc-main-package=nvidia-cuda-toolkit
+	dh_installdocs --remaining-packages
+
+override_dh_installman:
+	dh_installman --language=C
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_makeshlibs:
+	dh_makeshlibs -X/stubs/
+
+override_dh_shlibdeps:
+	$(RM) -r libcuda
+	mkdir libcuda
